%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define glib2_version 2.2.3
%define pango_version 1.2.5
%define gtk2_version 2.2.4
%define libgnomeui_version 2.4.0.1
%define libgnomeprint_version 2.3.1
%define gail_version 1.4.0

Summary: 	Eye of GNOME image viewer
Name:    	eog
Version: 	2.4.0
Release: 	1
URL: 		http://www.gnome.org
Source: 	ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/eog/%{name}-%{version}.tar.bz2

Patch0:		eog-2.4.0-aix.patch
Patch1:		eog-2.4.0-autotools.patch

License: 	GPL 
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgnomeprint-devel >= %{libgnomeprint_version}
BuildRequires: gail-devel >= %{gail_version}

Prereq:   scrollkeeper >= 0.3.12

%description
Eye of GNOME (EOG) is an image viewer component used by Nautilus.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/eog-2.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/eog-2.4.0-autotools.patch


%build
PATH=%{_bindir}:$PATH LDFLAGS="-L%{_libdir}" ./configure --prefix=%{_prefix}
PATH=%{_bindir}:$PATH G_CHARSET_ALIAS=%{_libdir}/charset.alias make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
PATH=%{_bindir}:$PATH GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%post
export PATH=%{_bindir}:$PATH
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
SCHEMAS="eog.schemas"
for S in $SCHEMAS; do
  %{_bindir}/gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
scrollkeeper-update -q > /dev/null

%postun 
export PATH=%{_bindir}:$PATH
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
scrollkeeper-update -q > /dev/null


%files 
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/bonobo
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/pixmaps
%{_datadir}/idl
%{_datadir}/gnome-2.0
%{_datadir}/gnome
%{_datadir}/applications
%{_datadir}/locale/*/LC_MESSAGES/eog.mo
%{_datadir}/eog

/usr/bin/*
